[global]
# This is where all of your settings go for your production environment.
# You'll copy this file over to your production server and provide it
# as a command-line option to your start script.
# Settings that are the same for both development and production
# (such as template engine, encodings, etc.) all go in
# eggbasket/config/app.cfg

# The root directory of the package repository. It should contain a
# sub-directory for each package with the same base name as the distribution.
# The sub-directories should each contain the egg files and source archives for
# all available versions of the package. (default: current working directory)
# eggbasket.package_root = "%(current_dir_uri)"

# The name of your package repository, displayed on the top of every page
# (default: "EggBasket Package Index").
# eggbasket.sitename = "EggBasket Package Index"

# Markup format of package descriptions. If set to 'rest', assume package
# descriptions are in reStructuredText format and use docutils (if available)
# to convert them to HTML on display (default: 'plain').
eggbasket.pkg_desc_format = 'plain'

# DATABASE
# You can change type and location of the database here. At this stage, the
# database is only used by the identity framework.
sqlalchemy.dburi = "sqlite:///%(current_dir_uri)s/eggbasket.sqlite"

# IDENTITY
# hashing algorithm with which passwords should be encrypted
# when saving them in the database (default: None).
identity.saprovider.encryption_algorithm = 'sha1'

# SERVER
#server.socket_host = "localhost"
server.socket_port = 3442
server.environment = "production"

# Sets the number of threads the server uses
server.thread_pool = 5

# if this is part of a larger site, you can set the path
# to the TurboGears instance here
# server.webpath=""

# Set to True if you are deploying your App behind a proxy
# e.g. Apache using mod_proxy
# base_url_filter.on = False

# Set to True if your proxy adds the x_forwarded_host header
# base_url_filter.use_x_forwarded_host = True

# If your proxy does not add the x_forwarded_host header, set
# the following to the *public* host url.
# (Note: This will be overridden by the use_x_forwarded_host option
# if it is set to True and the proxy adds the header correctly.
# base_url_filter.base_url = "http://www.example.com"

# Set to True if you'd like to abort execution if a controller gets an
# unexpected parameter. False by default
# tg.strict_parameters = False

# LOGGING
# Logging configuration generally follows the style of the standard
# Python logging module configuration. Note that when specifying
# log format messages, you need to use *() for formatting variables.
# Deployment independent log configuration is in eggbasket/config/log.cfg
[logging]

[[handlers]]

[[[access_out]]]
# set the filename as the first argument below
args="('server.log',)"
class='FileHandler'
level='INFO'
formatter='message_only'

[[loggers]]
[[[eggbasket]]]
level='INFO'
qualname='eggbasket'
handlers=['access_out']

[[[access]]]
level='INFO'
qualname='turbogears.access'
handlers=['access_out']
propagate=0
